Subject: bug#26302: [website] translations

From: sirgazil <[email-masked]>
Date: Mon, 09 Sep 2019 19:49:33 -0500

---- On Sun, 08 Sep 2019 12:16:38 -0500 pelzflorian (Florian Pelz) <[email-masked]> wrote ----

 > > Regarding URLs, I would prefer using IRIs, like follows: 
 > > 
 > >     /IETF-LANGUAGE-TAG/path/to/resource/ 
 > > 
 > > So: 
 > > 
 > >     /es-ES/vídeos/ 
 > >     /es-CO/videos/ 
 > > 
 >  
 > As I understand it, es and es-ES and es-Latn-ES would all be language 
 > tags (or just subtags??) for Spanish from Spain.  Do we use the full 
 > tag es-Latn-ES?  Probably es-ES makes more sense than es-Latn-ES for 
 > many languages (but not all).  The Translation Project will generally 
 > only provide one script, it seems.  Maybe often es is enough.  I 
 > suppose we could write an associative list mapping locales for which 
 > translations exist to language tags. 

I'm not suggesting any particular IETF language tags for Spanish variants, though. I think one could start supporting only the language tags equivalent to the teams defined in the Translation Project (TP). 

In the case of Spanish, many libre projects start focusing only on "es" (which is the case for the TP), and that's ok, but it's good to support variants. As far as I understand, the TP allows creating teams for language variants (there is a pt_BR team). For example, I'd like to have an "es-CO" catalog to override some translations of the "es" catalog that are only common in Spain.